ColumnCounter (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.filter

## Class ColumnCounter

- java.lang.Object
- - org.apache.cassandra.db.filter.ColumnCounter

- Direct Known Subclasses:
    ColumnCounter.GroupByPrefix

      public class ColumnCounter
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnCounter.GroupByPrefix`
    `static class` | `ColumnCounter.GroupByPrefixReversed` Similar to GroupByPrefix, but designed to handle counting cells in reverse order.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `live`
    `protected long` | `timestamp`
    `protected int` | `tombstones`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnCounter(long timestamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `count(Cell cell, DeletionInfo.InOrderTester tester)`
    `ColumnCounter` | `countAll(ColumnFamily container)`
    `protected java.util.Iterator<Cell>` | `getCellIterator(ColumnFamily container)`
    `int` | `live()`
    `int` | `tombstones()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### live

          protected int live

    - #### tombstones

          protected int tombstones

    - #### timestamp

          protected final long timestamp

  - ### Constructor Detail

    - #### ColumnCounter

          public ColumnCounter(long timestamp)

  - ### Method Detail

    - #### count

          public boolean count(Cell cell,
                               DeletionInfo.InOrderTester tester)

      Returns:
        true if the cell counted as a live cell or a valid tombstone; false if it got immediately discarded for being shadowed by a range- or a partition tombstone

    - #### live

          public int live()

    - #### tombstones

          public int tombstones()

    - #### countAll

          public ColumnCounter countAll(ColumnFamily container)

    - #### getCellIterator

          protected java.util.Iterator<Cell> getCellIterator(ColumnFamily container)

Copyright © 2018 The Apache Software Foundation